Subject: Re: linux-next: Tree for Mar 17

From: Heiko Carstens <[email-masked]>
Date: Wed, 17 Mar 2021 13:00:45 +0100

On Wed, Mar 17, 2021 at 07:42:41PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> News: there will be no linux-next release on Friday this week.
> 
> Warning: Some of the branches in linux-next are still based on v5.12-rc1,
> so please be careful if you are trying to bisect a bug.
> 
> News: if your -next included tree is based on Linus' tree tag
> v5.12-rc1{,-dontuse} (or somewhere between v5.11 and that tag), please
> consider rebasing it onto v5.12-rc2. Also, please check any branches
> merged into your branch.
> 
> Changes since 20210316:
> 
> New tree: cifsd
> 
> The cifsd tree gained a build failure for which I applied a patch.
> 
> The drm-intel tree gained a conflict against the drm tree.
> 
> The tip tree gained a build failure so I used the version from
> next-20210316.
> 
> The rcu tree gained a build failure so I used the version from
> next-20210316.
> 
> Non-merge commits (relative to Linus' tree): 4404
>  4125 files changed, 288074 insertions(+), 79674 deletions(-)
> 
> ----------------------------------------------------------------------------
> 
> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (patches at http://www.kernel.org/pub/linux/kernel/next/ ).  If you

This does unfortunately not compile on s390 due to commit 72dd1ce7ebd3
("quota: wire up quotactl_path").

The patch below fixes it:

diff --git a/arch/s390/kernel/syscalls/syscall.tbl b/arch/s390/kernel/syscalls/syscall.tbl
index 4aeaa89fa774..a421905c36e8 100644
--- a/arch/s390/kernel/syscalls/syscall.tbl
+++ b/arch/s390/kernel/syscalls/syscall.tbl
@@ -445,4 +445,4 @@
 440  common	process_madvise		sys_process_madvise		sys_process_madvise
 441  common	epoll_pwait2		sys_epoll_pwait2		compat_sys_epoll_pwait2
 442  common	mount_setattr		sys_mount_setattr		sys_mount_setattr
-443  common	quotactl_path		sys_quotactl_path
+443  common	quotactl_path		sys_quotactl_path		sys_quotactl_path